Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	linear algebra package
Name:      	lapack
Version:   	3.1.1
Release:   	4
Provides:	lapack
License: 	LAPACK
URL:		http://www.netlib.org/lapack/
Group:     	Development/Libraries
Source0: 	%{name}.tgz
Source1: 	lapack-manpages.tgz
Source2: 	Makefile.blas
Source3: 	Makefile.lapack
Source4: 	lapackqref.ps
Source5: 	blasqr.ps
Patch0:		lapack-20010525.patch
Patch1:		lapack-etime-glfortran.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	gcc-gfortran

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
LAPACK is written in Fortran77 and provides routines for solving systems of simultaneous linear equations, least-squares solutions of linear systems of equations, eigenvalue problems, and singular value problems. The associated matrix factorizations (LU, Cholesky, QR, SVD, Schur, generalized Schur) are also provided, as are related computations such as reordering of the Schur factorizations and estimating condition numbers. Dense and banded matrices are handled, but not general sparse matrices. In all areas, similar functionality is provided for real and complex matrices, in both single and double precision.

%post
ldconfig


%preun

%postun
ldconfig


%prep
%setup -q -n LAPACK
%setup -q -D -T -a 1 -n LAPACK
%patch0 -p1
%patch1
cp -f %{SOURCE2} BLAS/SRC/Makefile
cp -f %{SOURCE3} SRC/Makefile

%build

# gcc 4.x fix 
# we now use a separated fortran77 (gcc-g77)
# the fix is left here for future reference

#case "`gcc -dumpversion`" in
#3.*)
  export FC=gfortran
#  ;;

#*)
#  export FC=gfortran
#  ;;
#esac

# build static BLAS
cd BLAS/SRC
FFLAGS="${CFLAGS}" make static
cp libblas.a ../..
make clean
# build shared BLAS
FFLAGS="${CFLAGS} -fPIC" make shared
cp libblas.so.3.0.3 ../..
cd ../..
ln -s libblas.so.3.0.3 libblas.so
# build static LAPACK
cd SRC
FFLAGS="${CFLAGS}" make static
cp liblapack.a ..
make clean
# build shared LAPACK
FFLAGS="${CFLAGS} -fPIC" make shared
cp liblapack.so.3.0.3 ..
cd ..

# additional reference material
cp %{SOURCE4} lapackqref.ps
cp %{SOURCE5} blasqr.ps


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}/manl

cp -f liblapack.so.3.0.3 %{buildroot}%{_libdir}/liblapack.so.3.0.3
cp -f libblas.so.3.0.3 %{buildroot}%{_libdir}/libblas.so.3.0.3
cp -f libblas.a %{buildroot}%{_libdir}/libblas.a
cp -f liblapack.a %{buildroot}%{_libdir}/liblapack.a

cd blas/man/manl
cd ../../..
echo "%defattr(-, root, root)" > blasmans
find blas/man/manl -type f -printf "%{_mandir}/manl/%f.bz2\n" > blasmans
cd man/manl
cd ../..
echo "%defattr(-, root, root)" > lapackmans
# These are also in the BLAS package
rm -f man/manl/lsame.l*
rm -f man/manl/xerbla.l*
find man/manl -type f -printf "%{_mandir}/manl/%f.bz2\n" > lapackmans

cp -f blas/man/manl/* %{buildroot}%{_mandir}/manl
cp -f man/manl/* %{buildroot}%{_mandir}/manl
cd %{buildroot}%{_libdir}
ln -sf liblapack.so.3.0.3 liblapack.so
ln -sf liblapack.so.3.0.3 liblapack.so.3
ln -sf liblapack.so.3.0.3 liblapack.so.3.0
ln -sf libblas.so.3.0.3 libblas.so
ln -sf libblas.so.3.0.3 libblas.so.3
ln -sf libblas.so.3.0.3 libblas.so.3.0


%files
%defattr(-,root,root)
%doc README lapackqref.ps blasqr.ps
%_mandir
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.1.1-4
- rebuilt against gcc-gfortran 4.3.1
* Mon Aug 06 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.1.1-3
- rebuilt with gcc-gfortran (fixes problems linking against LAPACK)
* Mon May 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1.1-2
- rebuilt with gcc-g77 (fixes problems linking against LAPACK)
* Sat Mar 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1.1-1
- Version update
* Mon Jan 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1.0-1
- Version update
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0-1
- Initial Release, based on Momonga package
